Skip to main content

Get Showcase Creative Call-to-Action Options

API Description

Get a location's available showcase call-to-action values (CTAs) and, when applicable, their respective providers and Apple Application Identifier. Supply the unique Apple-generated location ID assigned to the partner’s description of a location, and the service will return the corresponding list.

The list that is returned is an aggregation of all the available providers of CTAs that are associated with the location.

When an action is available, but no data has been submitted by a provider, the providers list is empty. The list does not include types inherited from the associated brand (such as quicklinks to an app).

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
locationId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/locations/{locationId}/showcase-calls-to-action
Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/locations/9467895078742654976/showcase-calls-to-action

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 29a86bdc-449f-40ae-8b1e-897cad6e28b6
content-type: application/json

Response Body

NameOutput
$.data
REQUIRED
$.data[].type
REQUIRED
$.data[].text
REQUIRED
$.data[].providers
OPTIONAL

Providers

Details describing one or more providers of action links that invoke a type of CTA.

NameTypeOutput
$.data[].providers[].namestring
REQUIRED
$.data[].providers[].urlstring
REQUIRED
$.data[].providers[].relationshipstring
REQUIRED
$.data[].providers[].appStoreUrlstring
OPTIONAL
$.data[].providers[].appIdstring
OPTIONAL

Provider name: Name is location's display name when CTA is enabled by a flexible action link. Else, the app provider's name is supplied.

URL: Link that enables CTA. Value of url is delivered via quicklinkUrl in Action Link Details. More details.

Relationship: Describes relationship between provider of url that enables the CTA and location. Possible values: AUTHORIZED, OTHER, or OWNER.

App Store URL: Location of provider's application in Apple's App Store. More details.

App ID: Respective provider's Apple Application Identifier. A unique identifier for a product in the App Store.

note

Ordering of type in data[] has no significance

Example Response Body (raw JSON)
{
"data":[
{
"type": "ORDER",
"text": "Feature that allows user to order food from a restaurant",
"providers": [
{/* appStoreUrl and appId are absent. This is an `OWNER` provided flexible action link */
"name": "Southerleigh Fine Dining", /* location's display name */
"url": "https://southerleighfinedining.com/menu-ordering",
"relationship": "OWNER"
},
{
"name": "Yelp: Food, Delivery & Reviews",
"url": "https://yelp.com/order/southerleighfinedining",
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/yelp-food-delivery-reviews/id284910350",
"appId": "284910350"
},
{
"name": "Uber Eats: Food Delivery",
"url": "https://ubereats.com/food-ordering/southerleighfinedining",
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/uber-eats-food-delivery/id1058959277",
"appId": "1058959277"
}
]
},
{
"type": "DELIVERY",
"text": "Feature that allows user to place a delivery order from a restaurant",
"providers": [
{
"name": "Uber Eats: Food Delivery",
"url": "https://ubereats.com/delivery/southerleighfinedining",
"relationship": "OTHER",
"appStoreUrl": "https://apps.apple.com/us/app/uber-eats-food-delivery/id1058959277",
"appId": "1058959277"
},
{
"name": "Yelp: Food, Delivery & Reviews",
"url": "https://yelp.com/delivery/southerleighfinedining",
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/yelp-food-delivery-reviews/id284910350",
"appId": "284910350"
},
{
"name": "DoorDash - Food Delivery",
"url": "https://doordash.com/delivery/southerleighfinedining",
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/doordash-food-delivery/id719972451",
"appId": "719972451"
}
]
},
{
"type": "RESERVE_TABLE",
"text": "Feature that allows user to reserve a table",
"providers": [
{
"name": "OpenTable",
"url": "https://opentable.com/southerleighfinedining/reservation",
"relationship": "AUTHORIZED",
"appStoreUrl": "https://apps.apple.com/us/app/opentable/id296581815",
"appId": "296581815"
}
]
},
{
"type": "WAITLIST",
"text": "Feature to allow user to join a wait list at a restaurant",
"providers": []/* No providers of data (apps or flexible action links) for this CTA */
},
{
"type": "CALL",
"text": "Feature that allows user to call a location", /* Apple Maps supported CTA */
"providers": []
}
]
}